PHP Manual
Prev |  | Next

# HttpResponse::setCache

(no version information, might be only in CVS)

HttpResponse::setCache -- Set cache

## Description

staticbool HttpResponse::setCache ( bool cache )

Whether it should be attempted to cache the entity.

This will result in necessary caching headers and checks of clients If-Modified-Since and If-None-Match headers. If one of those headers matches a 304 Not Modified status code will be issued.

> Note: If you're using sessions, be sure that you set session.cache_limiter to something more appropriate than "no-cache"!

## Parameters

cache

  whether caching should be attempted

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
HttpResponse::setCacheControl | Up | HttpResponse::setContentDisposition